Skip to content

appsecco/docker-datasploit

master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 

docker-datasploit

Docker container for datasploit framework

Docker Image v1.0 Version

The datasploit docker container is created by using python:2.7-stretch and it will install all the dependencies to quick start the working setup.

Software required to use docker container

  • Docker (Tested version 17.X-ce)

Steps to use the container

docker pull appsecco/datasploit:1.0
  • Start the docker container with volume mounts
docker run --name datasploit -v `pwd`/config.py:/opt/datasploit/config.py:ro -v `pwd`:/opt/datasploit/data -d appsecco/datasploit:1.0
  • Use the docker container with interactive shell from the host system
docker exec -it datasploit bash
  • Then add the API_KEYS to the config.py in your host and it will get updated in container automatically

  • If you want to use command line scripts. You can navigate to /opt/datasploit/ in docker container

python usernameOsint.py username

Please feel free to make a pull request or tweet to me @madhuakula for improvements and suggestions.

About

Docker container for datasploit framework

Topics

Resources

Stars

Watchers

Forks

Releases

No releases published

Packages

No packages published

Languages